{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Returns compact `goal_membership`, `project_membership`, `portfolio_membership`, `custom_type_membership`, `custom_field_membership`, `table_membership`, or `record_membership` records. The possible types for `parent` in this request are `goal`, `project`, `portfolio`, `custom_type`, `custom_field`, `table`, or `record`. An additional member (user GID or team GID) can be passed in to filter to a specific membership.\n\nAlternatively, when `parent` is absent, you can use the `member` and `resource_subtype` parameters together to fetch all memberships of a specific type for a given member. For example, passing `member` as a team GID and `resource_subtype` as `project_membership` will return all project memberships for that team.","properties":{"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"parent":{"type":"string","examples":["159874"],"description":"Globally unique identifier for `goal`, `project`, `portfolio`, `custom_type`, `custom_field`, `table`, or `record`. This parameter is optional when `resource_subtype` is provided along with `member` of type `team`."},"member":{"type":"string","examples":["1061493"],"description":"Globally unique identifier for `team` or `user`. When used with `resource_subtype` and without `parent`, `member` must be of type `team`. For user-type memberships `parent` parameter is required to disambiguate the workspace from which memberships should be retrieved."},"resource_subtype":{"type":"string","enum":["project_membership"],"examples":["project_membership"],"description":"The type of membership to return. Required when `parent` is absent. Currently supported value is `project_membership` (when `member` is a team GID, returns all project memberships for that team)."},"limit":{"type":"integer","minimum":1,"maximum":100,"examples":[50],"description":"Results per page.\nThe number of objects to return per page. The value must be between 1 and 100."},"offset":{"type":"string","examples":["eyJ0eXAiOJiKV1iQLCJhbGciOiJIUzI1NiJ9"],"description":"Offset token.\nAn offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results.\n*Note: You can only pass in an offset that was returned to you via a previously paginated request.*"},"opt_fields":{"type":"array","items":{"type":"string","enum":["offset","path","uri"]},"examples":[["offset","path","uri"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false},"name":"Get multiple memberships","id":"asana.getmemberships","example":{},"maxRequests":1,"summary":false}}